package cn.com.qmth.scancloud.entity;

import java.util.List;

import cn.com.qmth.scancloud.entity.base.AuditingEntity;
import cn.com.qmth.scancloud.enums.Stage;
import cn.com.qmth.scancloud.model.OcrCondition;

import com.baomidou.mybatisplus.annotation.TableName;

// 识别对照任务分组
@TableName("sc_omr_group")
public class OmrGroupEntity extends AuditingEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 3713052032605963927L;

    private Long examId;

    private Boolean fixed;

    private Stage stage;

    private List<OcrCondition> conditions;

    private Integer totalCount;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Boolean getFixed() {
        return fixed;
    }

    public void setFixed(Boolean fixed) {
        this.fixed = fixed;
    }

    public Stage getStage() {
        return stage;
    }

    public void setStage(Stage stage) {
        this.stage = stage;
    }

    public List<OcrCondition> getConditions() {
        return conditions;
    }

    public void setConditions(List<OcrCondition> conditions) {
        this.conditions = conditions;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

}
