package cn.com.qmth.scancloud.entity;

import java.util.List;

import cn.com.qmth.scancloud.entity.base.AuditingEntity;
import cn.com.qmth.scancloud.model.QueryCondition;

import com.baomidou.mybatisplus.annotation.TableName;

// 二次识别批次
@TableName("sc_refix_batch")
public class RefixBatchEntity extends AuditingEntity {

    /**
     * 
     */
    private static final long serialVersionUID = -8508195043570297809L;

    private Long examId;

    private String cardNumber;

    private List<QueryCondition> conditions;

    private Integer totalCount;

    private Integer sucessCount;

    private Boolean finished;

    private Boolean updateSlice;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public List<QueryCondition> getConditions() {
        return conditions;
    }

    public void setConditions(List<QueryCondition> conditions) {
        this.conditions = conditions;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getSucessCount() {
        return sucessCount;
    }

    public void setSucessCount(Integer sucessCount) {
        this.sucessCount = sucessCount;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public Boolean getUpdateSlice() {
        return updateSlice;
    }

    public void setUpdateSlice(Boolean updateSlice) {
        this.updateSlice = updateSlice;
    }

}
