package cn.com.qmth.scancloud.entity;

import cn.com.qmth.scancloud.entity.base.AuditingWithoutIdEntity;

import com.baomidou.mybatisplus.annotation.TableName;

@TableName("sc_scanner_card")
public class ScannerCardEntity extends AuditingWithoutIdEntity {

    private static final long serialVersionUID = -1646735662906364735L;

    private String device;

    private Long examId;

    private Integer cardNumber;

    public ScannerCardEntity() {
        super();
    }

    public ScannerCardEntity(String device, Long examId, Integer cardNumber) {
        super();
        this.device = device;
        this.examId = examId;
        this.cardNumber = cardNumber;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

}
